curl --request GET \
--url https://api.datacircle.dev/files/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.datacircle.dev/files/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datacircle.dev/files/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.datacircle.dev/files/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.datacircle.dev/files/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.datacircle.dev/files/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.datacircle.dev/files/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 86,
"dataset": "coop_up2data",
"filename": "coop_up2data.parquet",
"row_count": 189,
"size_bytes": 366561,
"sha256": "a67aeac82afed8661326e5e463549a015c734f4cbf78653fc3072d8753f7bab4",
"created_at": "2026-10-11T06:00:08.167565Z",
"is_unlocked": true
},
{
"id": 119,
"dataset": "coop_harvestapi",
"filename": "coop_harvestapi.parquet",
"row_count": 10697,
"size_bytes": 52102021,
"sha256": "cc8bde304c20c44b60e64f33de9a841cbba06330ef5bb9f6ce3a449bbd28c878",
"created_at": "2026-10-11T08:39:26.359177Z",
"is_unlocked": true
},
{
"id": 120,
"dataset": "coop_fetchin",
"filename": "coop_fetchin.parquet",
"row_count": 2,
"size_bytes": 139420,
"sha256": "66a9dd565ebc240af53a05250294b2d1fbc5e174c4e5bbeebd5cd1fdfe06c5c3",
"created_at": "2026-10-11T08:39:27.301311Z",
"is_unlocked": true
}
]List files
The co-op files (coop_up2data, coop_harvestapi, coop_fetchin): every LinkedIn profile any customer fetched through each provider, new every day. Each has its id and is_unlocked. Get a file with POST /files/{file_id}/download-link/. This call is free.
curl --request GET \
--url https://api.datacircle.dev/files/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.datacircle.dev/files/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datacircle.dev/files/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.datacircle.dev/files/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.datacircle.dev/files/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.datacircle.dev/files/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.datacircle.dev/files/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 86,
"dataset": "coop_up2data",
"filename": "coop_up2data.parquet",
"row_count": 189,
"size_bytes": 366561,
"sha256": "a67aeac82afed8661326e5e463549a015c734f4cbf78653fc3072d8753f7bab4",
"created_at": "2026-10-11T06:00:08.167565Z",
"is_unlocked": true
},
{
"id": 119,
"dataset": "coop_harvestapi",
"filename": "coop_harvestapi.parquet",
"row_count": 10697,
"size_bytes": 52102021,
"sha256": "cc8bde304c20c44b60e64f33de9a841cbba06330ef5bb9f6ce3a449bbd28c878",
"created_at": "2026-10-11T08:39:26.359177Z",
"is_unlocked": true
},
{
"id": 120,
"dataset": "coop_fetchin",
"filename": "coop_fetchin.parquet",
"row_count": 2,
"size_bytes": 139420,
"sha256": "66a9dd565ebc240af53a05250294b2d1fbc5e174c4e5bbeebd5cd1fdfe06c5c3",
"created_at": "2026-10-11T08:39:27.301311Z",
"is_unlocked": true
}
]Authorizations
Your API key: Authorization: Bearer <your API key>. Authorization: Token <your API key> works too.
Response
Every file with is_unlocked for this workspace
The file's id: pass it to POST /files/{file_id}/download-link/. Every daily file gets a new id. Old ids still download.
Which dataset this file is a snapshot of: coop_up2data, coop_harvestapi and coop_fetchin are the co-op files: every LinkedIn profile fetched through Up2Data, through HarvestAPI and through Fetchin, one flat Parquet table each, rebuilt every day. Their columns are on Dataset fields. GET /files/ lists the newest file of each dataset.
coop_up2data, coop_harvestapi, coop_fetchin The download's file name, such as coop_up2data.parquet.
Rows in the file. null when we have not counted it.
The file's size, in bytes.
The file's SHA-256, in hex, to check your download. null when we have not measured it.
When the file was exported (ISO 8601).
Whether this workspace may download it: true once this workspace has added $50 in funds.